;;
;; cdaudio - 'cdaudio' module Scheme wrapper
;;
;;  Written by FUJIWARA Teruyoshi (tf@dsl.gr.jp)
;;  I put this program in public domain.  Use it as you like.
;;
;;  $Id: $
;;

;; Defines module
(define-module cdaudio
  (export-all))
	  
(select-module cdaudio)

;; Loads extension
(dynamic-load "cdaudio")

;; 
;; Scheme functions
;;
(define (discinfo-track di track)
  (if (= track (discinfo-total-tracks di))
      #f
      (list (list (discinfo-track-length-minutes di track)
		  (discinfo-track-length-seconds di track)
		  (discinfo-track-length-frames di track))
	    (list (discinfo-track-pos-minutes di track)
		  (discinfo-track-pos-seconds di track)
		  (discinfo-track-pos-frames di track))
	    (discinfo-track-lba di track)
	    (discinfo-track-type di track))))

;; Epilogue
(provide "cdaudio")
