#!/usr/local/bin/gosh -I.

(use cdaudio)

(define *cd-device* "/dev/sr0")

(define desc (cd-init-device *cd-device*))

(let ((info (cd-stat desc)))
  (define (scan-track-list info track)
    (unless (= track (discinfo-total-tracks info))
	    (print (discinfo-track info track))
	    (scan-track-list info (+ track 1))))
  (scan-track-list info 0))

(cd-play desc 4)

;(cd-eject desc)
;(cd-close desc)
